Ügyintézők listázása
GET
/api/v2/agentsHitelesítés: API-kulcs szükséges.
cURL példa
curl -X GET \
'https://app.intracord.hu/api/v2/agents' \
-H "X-API-Key: $INTRACORD_API_KEY"Paraméterek
| Név | Hely | Típus | Leírás |
|---|---|---|---|
page | query | integer | — |
page_size | query | integer | — |
Válaszok
200Successful Responseapplication/jsonSéma megtekintése
{
"properties": {
"data": {
"items": {
"$ref": "#/components/schemas/V2_Agent"
},
"type": "array",
"title": "Data"
},
"pagination": {
"$ref": "#/components/schemas/V2_Pagination"
}
},
"type": "object",
"required": [
"data",
"pagination"
],
"title": "Collection[Agent]"
}401Unauthorizedapplication/jsonSéma megtekintése
{
"properties": {
"error": {
"$ref": "#/components/schemas/V2_ErrorDetail"
}
},
"type": "object",
"required": [
"error"
],
"title": "ErrorResponse"
}403Forbiddenapplication/jsonSéma megtekintése
{
"properties": {
"error": {
"$ref": "#/components/schemas/V2_ErrorDetail"
}
},
"type": "object",
"required": [
"error"
],
"title": "ErrorResponse"
}404Not Foundapplication/jsonSéma megtekintése
{
"properties": {
"error": {
"$ref": "#/components/schemas/V2_ErrorDetail"
}
},
"type": "object",
"required": [
"error"
],
"title": "ErrorResponse"
}422Unprocessable Contentapplication/jsonSéma megtekintése
{
"properties": {
"error": {
"$ref": "#/components/schemas/V2_ErrorDetail"
}
},
"type": "object",
"required": [
"error"
],
"title": "ErrorResponse"
}